### Method

# Ide LspClient get_server_capabilities

#### Declaration

    GVariant*
    ide_lsp_client_get_server_capabilities (
      IdeLspClient* self
    )

#### Description

Gets the capabilities provided to us by the server after initializing.

This value is not available until after connecting and initializing the connection.

Available since: | 3.36

Gets property | `Ide.LspClient:server-capabilities`

#### Return value

Returns: | `GVariant`
| A `GVariant` that is a `G_VARIANT_TYPE_VARDICT` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.